Dashboard

The Dashboard API handles large data for the purpose of customer usage analytics.

circle-info

API SUBPATH: eva-dashboard

The Dashboard API is made to retrieve data in a format proper to either supply an excel file or plot a graph. Every one of them follow similar request rules.

All Date formats are standard ISO Datetime:

yyyy-MM-dd'T'hh:mm:ss.SSS'Z'

Auxiliary Methods

circle-info

These methods should be called before you accept any requests on a further dashboard version. The summary method will return the ammount of data which is available for you to query, while the report_configuration will give you the available filters, sorting parameters and query ammount cap you have access to. Querying anything beyond those designated filters will fail.

Acquires the dashboards' configurations and availability summary. Should be called on dashboard opening.

get
Path parameters
orgUUIDstringRequired

A valid uuid of an organization

envUUIDstringRequired

A valid uuid of an environment

botUUIDstringRequired

The UUID of the bot whose entities you are searching

Responses
chevron-right
200

Ok

application/json

A summary of the data availability for this dashboard and it's configurations

hasDatabooleanOptional

Channel's uuid

firstDataSetstring · date-timeOptional

The timestamp of the first data set in this bot, in ISO-8601 format (yyyy-MM-dd'T'HH:mm:ss.SSS'Z')

get
/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/dashboard/summary

Acquires the configurations and rules to present in the request report prompts for conversations.

get
Path parameters
orgUUIDstringRequired

A valid uuid of an organization

envUUIDstringRequired

A valid uuid of an environment

botUUIDstringRequired

The UUID of the bot whose conversations you are searching

Responses
chevron-right
200

Ok

application/json

Object containing rules to limit parameters in a report page.

maxSampleinteger · int32Optional

Maximum value to be allowed to sample in the front end for this resource.

availableExportTypesstring[]Optional

List of available REPORT_TYPEs to be presented for this resource

get
/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/conversations/report_configurations

Acquires the configurations and rules to present in the request report prompts for conversations.

get
Path parameters
orgUUIDstringRequired

A valid uuid of an organization

envUUIDstringRequired

A valid uuid of an environment

botUUIDstringRequired

The UUID of the bot whose conversations you are searching

Responses
chevron-right
200

Ok

application/json

Object containing rules to limit parameters in a report page.

maxSampleinteger · int32Optional

Maximum value to be allowed to sample in the front end for this resource.

availableExportTypesstring[]Optional

List of available REPORT_TYPEs to be presented for this resource

get
/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/messages/report_configurations

Data Analytics

Fetches information regarding Conversations traffic, regarding a given period of time. This information is used to build both conversation boxes in the dashboard.

post
Path parameters
orgUUIDstringRequired

A valid uuid of an organization

envUUIDstringRequired

A valid uuid of an environment

botUUIDstringRequired

The UUID of the bot whose entities you are searching

Body

Parameters used to filter the data of user conversations and messages.

startDatestring · date-timeRequired

Starting date for the search (inclusive). Must conform to ISO format.

endDatestring · date-timeRequired

End date for the search (inclusive). Must conform to ISO format.

startHourinteger · int32Required

Starting hour of the search interval. 0 if unfiltered.

endHourinteger · int32Required

Ending hour of the search interval. 23 if unfiltered.

timezonestringOptional

Represents the timezone or offset to be applied. Can be specified either as a timezone identifier (like 'UTC', 'America/Los_Angeles', etc.) or as an offset (like '+03:00', '-05:00', etc.). The timezone will be applied to time-related queries and operations.

Default: UTC
channelUUIDsstring[]Optional

ALL channelUuids to filter. If empty, all are used instead.

tagsNamestring[]Optional

ALL tags name to filter. If empty, no tag filter will be applied.

previousStartDatestring · date-timeOptional
previousEndDatestring · date-timeOptional
Responses
chevron-right
200

Ok

application/json

Main respose structure. This DTO specifies which resource was queried, has an overview for a total box, and a by-channel breakdown

resourcestring · enumOptional

The kind of resource found in this object.

Possible values:
post
/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/dashboard/conversations

Fetches information regarding messages traffic, regarding a given period of time. This information is used to build both conversation boxes in the dashboard.

post
Path parameters
orgUUIDstringRequired

A valid uuid of an organization

envUUIDstringRequired

A valid uuid of an environment

botUUIDstringRequired

The UUID of the bot whose entities you are searching

Body

Parameters used to filter the data of user conversations and messages.

startDatestring · date-timeRequired

Starting date for the search (inclusive). Must conform to ISO format.

endDatestring · date-timeRequired

End date for the search (inclusive). Must conform to ISO format.

startHourinteger · int32Required

Starting hour of the search interval. 0 if unfiltered.

endHourinteger · int32Required

Ending hour of the search interval. 23 if unfiltered.

timezonestringOptional

Represents the timezone or offset to be applied. Can be specified either as a timezone identifier (like 'UTC', 'America/Los_Angeles', etc.) or as an offset (like '+03:00', '-05:00', etc.). The timezone will be applied to time-related queries and operations.

Default: UTC
channelUUIDsstring[]Optional

ALL channelUuids to filter. If empty, all are used instead.

tagsNamestring[]Optional

ALL tags name to filter. If empty, no tag filter will be applied.

previousStartDatestring · date-timeOptional
previousEndDatestring · date-timeOptional
Responses
chevron-right
200

Ok

application/json

Main respose structure. This DTO specifies which resource was queried, has an overview for a total box, and a generic traffic breakdown

resourcestring · enumOptional

The kind of resource found in this object.

Possible values:
post
/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/dashboard/messages

Fetches information regarding users traffic, regarding a given period of time. This information is used to build both conversation boxes in the dashboard.

post
Path parameters
orgUUIDstringRequired

A valid uuid of an organization

envUUIDstringRequired

A valid uuid of an environment

botUUIDstringRequired

The UUID of the bot whose entities you are searching

Body

Parameters used to filter the data of user conversations and messages.

startDatestring · date-timeRequired

Starting date for the search (inclusive). Must conform to ISO format.

endDatestring · date-timeRequired

End date for the search (inclusive). Must conform to ISO format.

startHourinteger · int32Required

Starting hour of the search interval. 0 if unfiltered.

endHourinteger · int32Required

Ending hour of the search interval. 23 if unfiltered.

timezonestringOptional

Represents the timezone or offset to be applied. Can be specified either as a timezone identifier (like 'UTC', 'America/Los_Angeles', etc.) or as an offset (like '+03:00', '-05:00', etc.). The timezone will be applied to time-related queries and operations.

Default: UTC
channelUUIDsstring[]Optional

ALL channelUuids to filter. If empty, all are used instead.

tagsNamestring[]Optional

ALL tags name to filter. If empty, no tag filter will be applied.

previousStartDatestring · date-timeOptional
previousEndDatestring · date-timeOptional
Responses
chevron-right
200

Ok

application/json

Main respose structure. This DTO specifies which resource was queried, has an overview for a total box, and a generic traffic breakdown

resourcestring · enumOptional

The kind of resource found in this object.

Possible values:
post
/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/dashboard/users

Acquires the accuracy for analytics into this bot, considering the range of dates and specified channels.

post
Path parameters
orgUUIDstringRequired

A valid uuid of an organization

envUUIDstringRequired

A valid uuid of an environment

botUUIDstringRequired

The UUID of the bot whose entities you are searching

Body

Parameters used to filter the data of user conversations and messages.

startDatestring · date-timeRequired

Starting date for the search (inclusive). Must conform to ISO format.

endDatestring · date-timeRequired

End date for the search (inclusive). Must conform to ISO format.

startHourinteger · int32Required

Starting hour of the search interval. 0 if unfiltered.

endHourinteger · int32Required

Ending hour of the search interval. 23 if unfiltered.

timezonestringOptional

Represents the timezone or offset to be applied. Can be specified either as a timezone identifier (like 'UTC', 'America/Los_Angeles', etc.) or as an offset (like '+03:00', '-05:00', etc.). The timezone will be applied to time-related queries and operations.

Default: UTC
channelUUIDsstring[]Optional

ALL channelUuids to filter. If empty, all are used instead.

tagsNamestring[]Optional

ALL tags name to filter. If empty, no tag filter will be applied.

previousStartDatestring · date-timeOptional
previousEndDatestring · date-timeOptional
Responses
chevron-right
200

Ok

application/json

Contains the accuracy of a bot analytics statistics and it's relative increase.

rateCurrentnumberOptional

This period's accuracy.

ratePreviousnumberOptional

The previous same-sized period's accuracy.

hasIncreasedbooleanOptional

True, if the current rate is higher than the previous'.

relativeIncreasenumberOptional

A % increase range when comparing the previous period.

relativeStartDatestring · date-timeOptional

Start date of the compared period of time, in ISO-8601 format (yyyy-MM-dd'T'HH:mm:ss.SSS'Z')

relativeEndDatestring · date-timeOptional

Final date of the compared period of time, in ISO-8601 format (yyyy-MM-dd'T'HH:mm:ss.SSS'Z')

post
/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/dashboard/accuracy

Fetches data for a stacked Graph. In this instance, Top 10 used intents.

post
Path parameters
orgUUIDstringRequired

A valid uuid of an organization

envUUIDstringRequired

A valid uuid of an environment

botUUIDstringRequired

The UUID of the bot whose entities you are searching

Body

Parameters used to filter the data of user conversations and messages.

startDatestring · date-timeRequired

Starting date for the search (inclusive). Must conform to ISO format.

endDatestring · date-timeRequired

End date for the search (inclusive). Must conform to ISO format.

startHourinteger · int32Required

Starting hour of the search interval. 0 if unfiltered.

endHourinteger · int32Required

Ending hour of the search interval. 23 if unfiltered.

timezonestringOptional

Represents the timezone or offset to be applied. Can be specified either as a timezone identifier (like 'UTC', 'America/Los_Angeles', etc.) or as an offset (like '+03:00', '-05:00', etc.). The timezone will be applied to time-related queries and operations.

Default: UTC
channelUUIDsstring[]Optional

ALL channelUuids to filter. If empty, all are used instead.

tagsNamestring[]Optional

ALL tags name to filter. If empty, no tag filter will be applied.

previousStartDatestring · date-timeOptional
previousEndDatestring · date-timeOptional
Responses
chevron-right
200

Ok

application/json

Main respose structure. This DTO brings a list of channel and their datasets for a queried topic for a stacked line graph.

resourcestring · enumOptional

Name of the queried resource.

Possible values:
post
/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/dashboard/stacking/intents

Fetches data for a stacked Graph. In this instance, Top 10 accessed flows.

post
Path parameters
orgUUIDstringRequired

A valid uuid of an organization

envUUIDstringRequired

A valid uuid of an environment

botUUIDstringRequired

The UUID of the bot whose entities you are searching

Body

Parameters used to filter the data of user conversations and messages.

startDatestring · date-timeRequired

Starting date for the search (inclusive). Must conform to ISO format.

endDatestring · date-timeRequired

End date for the search (inclusive). Must conform to ISO format.

startHourinteger · int32Required

Starting hour of the search interval. 0 if unfiltered.

endHourinteger · int32Required

Ending hour of the search interval. 23 if unfiltered.

timezonestringOptional

Represents the timezone or offset to be applied. Can be specified either as a timezone identifier (like 'UTC', 'America/Los_Angeles', etc.) or as an offset (like '+03:00', '-05:00', etc.). The timezone will be applied to time-related queries and operations.

Default: UTC
channelUUIDsstring[]Optional

ALL channelUuids to filter. If empty, all are used instead.

tagsNamestring[]Optional

ALL tags name to filter. If empty, no tag filter will be applied.

previousStartDatestring · date-timeOptional
previousEndDatestring · date-timeOptional
Responses
chevron-right
200

Ok

application/json

Main respose structure. This DTO brings a list of channel and their datasets for a queried topic for a stacked line graph.

resourcestring · enumOptional

Name of the queried resource.

Possible values:
post
/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/dashboard/stacking/flows

Fetches data for a stacked Graph. In this instance, Top 10 abandoned flows.

post
Path parameters
orgUUIDstringRequired

A valid uuid of an organization

envUUIDstringRequired

A valid uuid of an environment

botUUIDstringRequired

The UUID of the bot whose entities you are searching

Body

Parameters used to filter the data of user conversations and messages.

startDatestring · date-timeRequired

Starting date for the search (inclusive). Must conform to ISO format.

endDatestring · date-timeRequired

End date for the search (inclusive). Must conform to ISO format.

startHourinteger · int32Required

Starting hour of the search interval. 0 if unfiltered.

endHourinteger · int32Required

Ending hour of the search interval. 23 if unfiltered.

timezonestringOptional

Represents the timezone or offset to be applied. Can be specified either as a timezone identifier (like 'UTC', 'America/Los_Angeles', etc.) or as an offset (like '+03:00', '-05:00', etc.). The timezone will be applied to time-related queries and operations.

Default: UTC
channelUUIDsstring[]Optional

ALL channelUuids to filter. If empty, all are used instead.

tagsNamestring[]Optional

ALL tags name to filter. If empty, no tag filter will be applied.

previousStartDatestring · date-timeOptional
previousEndDatestring · date-timeOptional
Responses
chevron-right
200

Ok

application/json

Main respose structure. This DTO brings a list of channel and their datasets for a queried topic for a stacked line graph.

resourcestring · enumOptional

Name of the queried resource.

Possible values:
post
/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/dashboard/stacking/abandonments

Conversations

Searches and paginates through conversations started by our users, according to the current filters.

post
Path parameters
orgUUIDstringRequired

A valid uuid of an organization.

envUUIDstringRequired

A valid uuid of an environment.

botUUIDstringRequired

The UUID of the bot whose conversations you are searching.

Body

Parameters used to filter the data of user conversations and messages.

startDatestring · date-timeRequired

Starting date for the search (inclusive). Must conform to ISO format.

endDatestring · date-timeRequired

End date for the search (inclusive). Must conform to ISO format.

startHourinteger · int32Required

Starting hour of the search interval. 0 if unfiltered.

endHourinteger · int32Required

Ending hour of the search interval. 23 if unfiltered.

timezonestringOptional

Represents the timezone or offset to be applied. Can be specified either as a timezone identifier (like 'UTC', 'America/Los_Angeles', etc.) or as an offset (like '+03:00', '-05:00', etc.). The timezone will be applied to time-related queries and operations.

Default: UTC
channelUUIDsstring[]Optional

ALL channelUuids to filter. If empty, all are used instead.

tagsNamestring[]Optional

ALL tags name to filter. If empty, no tag filter will be applied.

searchBystringOptional

Type of search filter being applied on this query. Possible fields are: [SESSION_CODE, BUSINESS_KEY, FLOW]

searchTermstringOptional

Term being searched according to the searchBy filter.

pageinteger · int32Optional

Current page, starting at 1

sizeinteger · int32Optional

Size of the page

orderBystringOptional

Criteria to order result, defaulted to conversationStartedAt. Possible fields include satisfaction, userMessages, flowsTravelled, conversationStartedAt and duration.

directionstringOptional

Order direction(ASC/DESC), defaulted to DESC

nonTagsbooleanOptional

Used for when we want to filter user messages or conversations that have not been through tags.

previousStartDatestring · date-timeOptional
previousEndDatestring · date-timeOptional
Responses
chevron-right
200

Ok

application/json
totalPagesinteger · int32Optional
totalElementsinteger · int64Optional
numberOfElementsinteger · int32Optional
sizeinteger · int32Optional
numberinteger · int32Optional
firstbooleanOptional
lastbooleanOptional
emptybooleanOptional
post
/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/conversations/list

Requests the creation of a report in the Reports section, according to sent parameters.

post
Path parameters
orgUUIDstringRequired

A valid uuid of an organization

envUUIDstringRequired

A valid uuid of an environment

botUUIDstringRequired

The UUID of the bot whose conversations you are searching

Body

Body containing the properties to use in this report

startDatestring · date-timeRequired

Starting date for the search (inclusive). Must conform to ISO format.

endDatestring · date-timeRequired

End date for the search (inclusive). Must conform to ISO format.

startHourinteger · int32Required

Starting hour of the search interval. 0 if unfiltered.

endHourinteger · int32Required

Ending hour of the search interval. 23 if unfiltered.

timezonestringOptional

Represents the timezone or offset to be applied. Can be specified either as a timezone identifier (like 'UTC', 'America/Los_Angeles', etc.) or as an offset (like '+03:00', '-05:00', etc.). The timezone will be applied to time-related queries and operations.

Default: UTC
channelUuidsstring[]Optional

A list of all channelUuids in the report, comma separated.

tagsNamestring[]Optional

A list of all tagsName in the report, comma separated.

sampleSizeinteger · int32Optional

Capping ammount of items to be used in the report.

reportTypestring · enumOptional

The report sorting type

Possible values:
filterFieldstringOptional

Optional filter field name being queried at the page currently.

filterTermstringOptional

Optional filter field value being queried at the page currently.

previousStartDatestring · date-timeOptional
previousEndDatestring · date-timeOptional
Responses
chevron-right
200

Ok

No content

post
/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/conversations/request_report

No content

Requests the creation of a report in the Reports section, with the full content of a conversation.

get
Path parameters
orgUUIDstringRequired

A valid uuid of an organization

envUUIDstringRequired

A valid uuid of an environment

botUUIDstringRequired

The UUID of the bot whose conversations you are searching

Query parameters
sessionCodestringRequired

Session Code of the conversation

Responses
chevron-right
200

Ok

application/json

Data structure of a performed message in a Conversation.

sessionCodestringOptional

Session code of this conversation in ISO

startedAtstringOptional

Date said conversation started

get
/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/conversations/details

Requests the creation of a report in the Reports section, with the full content of a conversation.

post
Path parameters
orgUUIDstringRequired

A valid uuid of an organization

envUUIDstringRequired

A valid uuid of an environment

botUUIDstringRequired

The UUID of the bot whose conversations you are searching

Query parameters
sessionCodestringRequired

Session Code of the conversation

timezonestringOptional

Represents the timezone or offset to be applied. Can be specified either as a timezone identifier (like 'UTC', 'America/Los_Angeles', etc.) or as an offset (like '+03:00', '-05:00', etc.). The timezone will be applied to time-related queries and operations.

Default: UTC
Responses
chevron-right
200

Ok

No content

post
/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/conversations/details/request_report

No content

Previews the available report sample size, returning the estimate ammount of items that will be present in a report.

post
Path parameters
orgUUIDstringRequired

A valid uuid of an organization

envUUIDstringRequired

A valid uuid of an environment

botUUIDstringRequired

The UUID of the bot whose conversations you are searching

Body

Body containing the properties to use in this report

startDatestring · date-timeOptional

Starting date of the report range, including itself, in ISO-8601 format (yyyy-MM-dd'T'HH:mm:ss.SSS'Z')

endDatestring · date-timeOptional

Ending date of the report range, including itself, in ISO-8601 format (yyyy-MM-dd'T'HH:mm:ss.SSS'Z')

startHourinteger · int32Optional

Starting hour of the report range, from 0 to 23. Hour sent is included in the report.

endHourinteger · int32Optional

Ending hour of the report range, from 0 to 23. Hour sent is included in the report.

channelUuidsstringOptional

A list of all channelUuids in the report, comma separated.

sampleSizeinteger · int32Optional

Capping ammount of items to be used in the report.

confidenceLevelinteger · int32Optional

Minimal confidence level in the report results, simulating response to a configuration in the parameters screen.

errorMargininteger · int32Optional

An error margin into the confidence level, allowing for variance.

filterFieldstringOptional

Optional filter field name being queried at the page currently.

filterTermstringOptional

Optional filter field value being queried at the page currently.

Responses
chevron-right
200

Ok

application/json

Object containing an estimate value of a report.

sampleSizeinteger · int32Optional

Estimate ammount of items obtained in the report filters.

post
/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/conversations/request_sample

Messages

Searches and paginates through messages sent by our users, according to the current filters.

post
Path parameters
orgUUIDstringRequired

A valid uuid of an organization.

envUUIDstringRequired

A valid uuid of an environment.

botUUIDstringRequired

The UUID of the bot whose messages you are searching.

Body

Parameters used to filter the data of user conversations and messages.

startDatestring · date-timeRequired

Starting date for the search (inclusive). Must conform to ISO format.

endDatestring · date-timeRequired

End date for the search (inclusive). Must conform to ISO format.

startHourinteger · int32Required

Starting hour of the search interval. 0 if unfiltered.

endHourinteger · int32Required

Ending hour of the search interval. 23 if unfiltered.

timezonestringOptional

Represents the timezone or offset to be applied. Can be specified either as a timezone identifier (like 'UTC', 'America/Los_Angeles', etc.) or as an offset (like '+03:00', '-05:00', etc.). The timezone will be applied to time-related queries and operations.

Default: UTC
channelUUIDsstring[]Optional

ALL channelUuids to filter. If empty, all are used instead.

tagsNamestring[]Optional

ALL tags name to filter. If empty, no tag filter will be applied.

searchBystringOptional

Type of search filter being applied on this query. Possible fields are: [SESSION_CODE, BUSINESS_KEY, FLOW]

searchTermstringOptional

Term being searched according to the searchBy filter.

pageinteger · int32Optional

Current page, starting at 1

sizeinteger · int32Optional

Size of the page

orderBystringOptional

Criteria to order result, defaulted to conversationStartedAt. Possible fields include satisfaction, userMessages, flowsTravelled, conversationStartedAt and duration.

directionstringOptional

Order direction(ASC/DESC), defaulted to DESC

nonTagsbooleanOptional

Used for when we want to filter user messages or conversations that have not been through tags.

nlpResponsesstringOptional

A comma-separated String containing ALL nlpResponseFilters to filter. Those may be one of: [FOUND, NONE, ALL].

previousStartDatestring · date-timeOptional
previousEndDatestring · date-timeOptional
Responses
chevron-right
200

Ok

application/json
totalPagesinteger · int32Optional
totalElementsinteger · int64Optional
numberOfElementsinteger · int32Optional
sizeinteger · int32Optional
numberinteger · int32Optional
firstbooleanOptional
lastbooleanOptional
emptybooleanOptional
post
/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/messages/list

Requests the creation of a report in the Reports section, according to sent parameters.

post
Path parameters
orgUUIDstringRequired

A valid uuid of an organization

envUUIDstringRequired

A valid uuid of an environment

botUUIDstringRequired

The UUID of the bot whose conversations you are searching

Body

Body containing the properties to use in this report

startDatestring · date-timeRequired

Starting date for the search (inclusive). Must conform to ISO format.

endDatestring · date-timeRequired

End date for the search (inclusive). Must conform to ISO format.

startHourinteger · int32Required

Starting hour of the search interval. 0 if unfiltered.

endHourinteger · int32Required

Ending hour of the search interval. 23 if unfiltered.

timezonestringOptional

Represents the timezone or offset to be applied. Can be specified either as a timezone identifier (like 'UTC', 'America/Los_Angeles', etc.) or as an offset (like '+03:00', '-05:00', etc.). The timezone will be applied to time-related queries and operations.

Default: UTC
channelUuidsstring[]Optional

A list of all channelUuids in the report, comma separated.

tagsNamestring[]Optional

A list of all tagsName in the report, comma separated.

sampleSizeinteger · int32Optional

Capping ammount of items to be used in the report.

reportTypestring · enumOptional

The report sorting type

Possible values:
filterFieldstringOptional

Optional filter field name being queried at the page currently.

filterTermstringOptional

Optional filter field value being queried at the page currently.

previousStartDatestring · date-timeOptional
previousEndDatestring · date-timeOptional
Responses
chevron-right
200

Ok

No content

post
/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/messages/request_report

No content

Previews the available report sample size, returning the estimate ammount of items that will be present in a report.

post
Path parameters
orgUUIDstringRequired

A valid uuid of an organization

envUUIDstringRequired

A valid uuid of an environment

botUUIDstringRequired

The UUID of the bot whose conversations you are searching

Body

Body containing the properties to use in this report

startDatestring · date-timeOptional

Starting date of the report range, including itself, in ISO-8601 format (yyyy-MM-dd'T'HH:mm:ss.SSS'Z')

endDatestring · date-timeOptional

Ending date of the report range, including itself, in ISO-8601 format (yyyy-MM-dd'T'HH:mm:ss.SSS'Z')

startHourinteger · int32Optional

Starting hour of the report range, from 0 to 23. Hour sent is included in the report.

endHourinteger · int32Optional

Ending hour of the report range, from 0 to 23. Hour sent is included in the report.

channelUuidsstringOptional

A list of all channelUuids in the report, comma separated.

sampleSizeinteger · int32Optional

Capping ammount of items to be used in the report.

confidenceLevelinteger · int32Optional

Minimal confidence level in the report results, simulating response to a configuration in the parameters screen.

errorMargininteger · int32Optional

An error margin into the confidence level, allowing for variance.

filterFieldstringOptional

Optional filter field name being queried at the page currently.

filterTermstringOptional

Optional filter field value being queried at the page currently.

Responses
chevron-right
200

Ok

application/json

Object containing an estimate value of a report.

sampleSizeinteger · int32Optional

Estimate ammount of items obtained in the report filters.

post
/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/messages/request_sample

Reports

Searches and paginates through messages sent by our users, according to the current filters.

get
Path parameters
orgUUIDstringRequired

A valid uuid of an organization

envUUIDstringRequired

A valid uuid of an environment

botUUIDstringRequired

The UUID of the bot whose messages you are searching

Query parameters
pageinteger · int32Required

Current page, starting at 1

Default: 1Example: 1
sizeinteger · int32Required

Size of the page

Default: 5Example: 1
Responses
chevron-right
200

Ok

application/json
totalPagesinteger · int32Optional
totalElementsinteger · int64Optional
numberOfElementsinteger · int32Optional
sizeinteger · int32Optional
numberinteger · int32Optional
firstbooleanOptional
lastbooleanOptional
emptybooleanOptional
get
/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/reports/list

Last updated

Was this helpful?